corda / net.corda.node.services.database / RequeryConfiguration

# RequeryConfiguration

`class RequeryConfiguration`

### Constructors

<init> | `RequeryConfiguration(properties: Properties, useDefaultLogging: Boolean = false)`

### Properties

config | `val config: HikariConfig`
dataSource | `val dataSource: HikariDataSource`
properties | `val properties: Properties`
useDefaultLogging | `val useDefaultLogging: Boolean`

### Functions

jdbcSession | `fun jdbcSession(): Connection`
makeSessionFactoryForModel | `fun makeSessionFactoryForModel(model: EntityModel): KotlinEntityDataStore<Persistable>`
sessionForModel | `fun sessionForModel(model: EntityModel): KotlinEntityDataStore<Persistable>`

### Companion Object Properties

logger | `val logger: Logger`